//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  (c) 2010-present DEMOS plan GmbH.
//
//  This file is part of the package demosplan,
//  for more information see the license file.
//
//  All rights reserved
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$utility-border-color: $dp-color-border-default;
$utility-border-thickness: $dp-border-thickness;

.segment-list {
    &-infobox {
        border: 1px solid $dp-color-neutral-light-2 !important;
        border-radius: 4px;
        display: flex;
        justify-content: space-between;
        padding: 12px;
    }

    &-row {
        display: flex;
        border-radius: 4px;

        &:not(.segment-list-row--assigned) {
            background-color: $dp-color-white;
        }

        &--assigned {
            background-color: $dp-color-selection-bg;
        }

        &--assigned + .segment-list-row--assigned:not(.fullscreen) {
            margin-top: $inuit-base-spacing-unit--tiny;
        }

        &.fullscreen {
            width: 100%;
            height: 100%;
            left: 0;
            top: 0;
            position: fixed;
            z-index: $z-modal-overlay;
            overflow-y: auto;

            .tiptap .editor__content {
                height: 500px;
            }
        }
    }

    &-col {
        &--l,
        &--m,
        &--s {
            display: inline-block;
            padding: 12px 0;
            vertical-align: top;
        }

        &--l {
            width: 100%;
        }

        &--m {
            width: 130px;
        }

        &--s {
            width: 70px;
        }
    }

    &-toggle-button {
        display: flex;
        flex-direction: column;
        padding-top: 0;
        margin: 0;

        &.reverse {
            flex-direction: column-reverse;
        }

        i {
            display: block;
            font-size: 10px;
            color: $dp-color-neutral-base;
            margin-bottom: 3px;
        }
    }

    &-toolbar {
        background: $dp-color-white;
        border-radius: $dp-rounded-large; // 5px
        padding: 5px;

        &.segment-list-toolbar--dark {
            background: $dp-color-neutral-light-3;
        }

        &__badge {
            font-size: $dp-font-size-smallest;
            padding: 4px 5px 1px;
            border: 1px solid $dp-color-white;
            border-radius: 20px;
            line-height: 1.15em;
        }

        &__button {
            width: 30px;
            height: 30px;
            margin: 0 0 5px;
            padding: 0;
            line-height: 0;
            // Prevent comment count badge from jumping on hover (since a border is added to the icon)
            border: 1px solid transparent;
            color: $dp-color-neutral-base;

            .segment-list-toolbar--dark & {
                background: $dp-color-white;
                border-radius: $dp-rounded-medium;
            }

            &:last-child {
                margin: 0;
            }

            &:hover {
                border: 1px solid $dp-color-neutral-dark-2;
                border-radius: $dp-rounded-medium;
            }

            &.is-active {
                background: $dp-color-main;
                color: $dp-color-white;
                border-radius: $dp-rounded-medium;
            }
        }
    }
}
